CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::widgets::hidden Class Reference

This widget represents a hidden input form element. It is used to provide information invisible to the user. More...

`#include <cppcms/form.h>`

Inheritance diagram for cppcms::widgets::hidden:

## Public Member Functions
virtual void | render (form_context &context)
Public Member Functions inherited from cppcms::widgets::text
| text ()
| text (std::string const &type)
void | size (int n)
int | size ()
virtual void | render_attributes (form_context &context)
virtual void | render_value (form_context &context)
Public Member Functions inherited from cppcms::widgets::base_html_input
| base_html_input (std::string const &type)
virtual | ~base_html_input ()
virtual void | render_input (form_context &context)
Public Member Functions inherited from cppcms::widgets::base_widget
| base_widget ()
bool | set ()
bool | valid ()
std::string | id ()
std::string | name ()
locale::message | message ()
bool | has_message ()
locale::message | error_message ()
bool | has_error_message ()
locale::message | help ()
bool | has_help ()
bool | disabled ()
void | disabled (bool)
bool | readonly ()
void | readonly (bool)
std::string | attributes_string ()
void | set (bool)
void | valid (bool)
void | id (std::string)
void | name (std::string)
void | message (std::string)
void | message (locale::message const &)
void | error_message (std::string)
void | error_message (locale::message const &)
void | help (std::string)
void | help (locale::message const &msg)
void | attributes_string (std::string v)
virtual void | clear ()
virtual void | parent (base_form *subform)
virtual form * | parent ()
void | pre_load (http::context &)
Public Member Functions inherited from cppcms::widgets::base_text
std::string | value ()
void | value (std::string v)
void | non_empty ()
void | limits (int min, int max)
std::pair< int, int > | limits ()
void | validate_charset (bool)
bool | validate_charset ()
virtual bool | validate ()
virtual void | load (http::context &)

## Additional Inherited Members
Public Types inherited from cppcms::form_flags
enum | html_type { as_html = 0, as_xhtml = 1 }
enum | html_list_type { as_p = 0, as_table = 1, as_ul = 2, as_dl = 3, as_space = 4 }
enum | widget_part_type { first_part = 0, second_part = 1 }
Protected Member Functions inherited from cppcms::widgets::base_widget
void | auto_generate (form_context *context=0)

## Detailed Description

This widget represents a hidden input form element. It is used to provide information invisible to the user.

I has the same properties as a text widget has but it does not render any HTML for message(), help() and other informational types.

When you render the form in templates, it is a good idea to render it separately to make sure that no invalid HTML is created.

## Member Function Documentation

virtual void cppcms::widgets::hidden::render | ( | form_context & | context | ) |
| virtual

Render the HTML of the widget. It overrides the default HTML rendering as hidden widget is never displayed.

Reimplemented from cppcms::widgets::base_widget.

The documentation for this class was generated from the following file:

- cppcms/form.h